/*
 * InfoEvent.h
 *
 *  Created on: 24.08.2011
 *      Author: stefan.detter
 */

#ifndef INFOEVENT_H_
#define INFOEVENT_H_

#include <QObject>
#include <QMetaType>
#include <QVariant>

class InfoEvent
{
public:
	InfoEvent(const QString& key, const QString& value);
	InfoEvent();
	InfoEvent(const InfoEvent& other);
	virtual ~InfoEvent();

	const QString& 	key() const;
	const QString& 	value() const;

private:
	QString 	m_key;
	QString 	m_value;
};
Q_DECLARE_METATYPE(InfoEvent)


class __init_InfoEvent
{
public:
	__init_InfoEvent()
	{
		qRegisterMetaType<InfoEvent>("InfoEvent");
	}
};

#endif /* INFOEVENT_H_ */
